org.faceless.pdf2.viewer2

## Interface SidePanel

- All Known Implementing Classes:
    SearchPanel.Results, ThumbnailPanel.ThumbnailSidePanel

      public interface SidePanel

  Represents a side-panel in a `DocumentPanel`. Typical uses are to display Thumbnails, Document outlines and so on. Any class implementing this interace must be a `Component`.

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8
  See Also:
    `SidePanelFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Icon` | `getIcon()` Return the Icon to use when displaying this SidePanel
    `String` | `getName()` Return the non-localized display name of this SidePanel.
    `void` | `panelHidden()` Called when the panel is made hidden
    `void` | `panelVisible()` Called when the panel is made visible
    `void` | `setDocumentPanel(DocumentPanel panel)` Set the `DocumentPanel` this SidePanel is a member of.

- - ### Method Detail

    - #### setDocumentPanel

          void setDocumentPanel(DocumentPanel panel)

      Set the `DocumentPanel` this SidePanel is a member of. This method is called every time the DocumentPanel has it's document changed - the SidePanel should be reinitialized in this call. If the SidePanel is removed, this method will be called with `null` as it's argument.

    - #### panelVisible

          void panelVisible()

      Called when the panel is made visible

    - #### panelHidden

          void panelHidden()

      Called when the panel is made hidden

    - #### getName

          String getName()

      Return the non-localized display name of this SidePanel.
      Since:
        2.10.3

    - #### getIcon

          Icon getIcon()

      Return the Icon to use when displaying this SidePanel
      Since:
        2.11.7

Copyright © 2001-2015 Big Faceless Organization